# CancelError | windmill-client
Documentation for windmill-client

# Class CancelError

#### Hierarchy

- Error
  - CancelError

- Defined in src/core/CancelablePromise.ts:1

#####
Index

### Accessors

isCancelled

### Constructors

constructor

### Methods

captureStackTrace

### Properties

message
name
stack?
prepareStackTrace?
stackTraceLimit

##
Accessors

### isCancelled

- get isCancelled(): boolean

- #### Returns boolean

  - Defined in src/core/CancelablePromise.ts:7

##
Constructors

### constructor

- new CancelError(message): CancelError

- #### Parameters

  - message: string

  #### Returns CancelError

  Overrides Error.constructor

  - Defined in src/core/CancelablePromise.ts:2

##
Methods

### `Static` captureStackTrace

- captureStackTrace(targetObject, constructorOpt?): void

- Create .stack property on a target object

  #### Parameters

  - targetObject: object
  - `Optional` constructorOpt: Function

  #### Returns void

  Inherited from Error.captureStackTrace

  - Defined in node_modules/@types/node/globals.d.ts:4

##
Properties

### message

message: string

Inherited from Error.message

- Defined in ../../../home/rfiszel/.npm/_npx/dafcb7cdaad6ed61/node_modules/typescript/lib/lib.es5.d.ts:1077

### name

name: string

Inherited from Error.name

- Defined in ../../../home/rfiszel/.npm/_npx/dafcb7cdaad6ed61/node_modules/typescript/lib/lib.es5.d.ts:1076

### `Optional` stack

stack?: string

Inherited from Error.stack

- Defined in ../../../home/rfiszel/.npm/_npx/dafcb7cdaad6ed61/node_modules/typescript/lib/lib.es5.d.ts:1078

### `Static` `Optional` prepareStackTrace

prepareStackTrace?: ((err: Error, stackTraces: CallSite[]) => any)

Optional override for formatting stack traces

#### See

https://v8.dev/docs/stack-trace-api#customizing-stack-traces

Inherited from Error.prepareStackTrace

- Defined in node_modules/@types/node/globals.d.ts:11

### `Static` stackTraceLimit

stackTraceLimit: number

Inherited from Error.stackTraceLimit

- Defined in node_modules/@types/node/globals.d.ts:13